Package org.eclipse.birt.chart.computation.withaxes

# Class IntersectionValue

java.lang.Object
org.eclipse.birt.chart.computation.Methods
org.eclipse.birt.chart.computation.withaxes.IntersectionValue

All Implemented Interfaces:
  `IConstants`

public final class IntersectionValue extends Methods implements IConstants
IntersectionValue

## Field Summary

Fields
Modifier and Type
Field
Description
`static final IntersectionValue`
`MAX_VALUE`
`static final IntersectionValue`
`MIN_VALUE`

### Fields inherited from interface org.eclipse.birt.chart.computation.IConstants

`ABOVE, ANCILLARY_AXIS, ANCILLARY_BASE, ARRAY, AUTO, AVERAGE, AXIS, BACKWARD, BASE, BASE_AXIS, BELOW, BIG_NUMBER_PRIMITIVE_ARRAY, BOOLEAN, BOTTOM, CENTER, COLLECTION, DATE_TIME, DESIGN_TIME, EMPTY_STRING, EQUAL, FORWARD, HORIZONTAL, INSIDE, LABELS, LEFT, LEGEND_ENTRY, LEGEND_GROUP_NAME, LEGEND_MINSLICE_ENTRY, LEGEND_SEPERATOR, LESS, LINE_EXPAND_DOUBLE_SIZE, LINE_EXPAND_SIZE, LINEAR, LOG_10, LOGARITHMIC, MAJOR, MAX, MIN, MINOR, MORE, NON_PRIMITIVE_ARRAY, NULL_STRING, NUMBER_PRIMITIVE_ARRAY, NUMERICAL, ONE_SPACE, ORTHOGONAL, ORTHOGONAL_AXIS, OTHER, OUTSIDE, PERCENT, POSITION_MASK, POSITION_MOVE_ABOVE, POSITION_MOVE_BELOW, POSITION_MOVE_LEFT, POSITION_MOVE_RIGHT, PRIMITIVE_ARRAY, RIGHT, RUN_TIME, SOME_NULL, TEXT, THREE_D, TICK_ABOVE, TICK_ACROSS, TICK_BELOW, TICK_LEFT, TICK_NONE, TICK_RIGHT, TICK_SIDE1, TICK_SIDE2, TICK_SIZE, TOP, TWO_5_D, TWO_D, UNDEFINED, UNDEFINED_STRING, USER_INTERFACE, VALUE, VERTICAL`

## Constructor Summary

Constructors
Constructor
Description
`IntersectionValue(int _iType, double _dValue)`
`IntersectionValue(int _iType, Object _oValue)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getType()`
`Object`
`getValue()`
`double`
`getValueAsDouble()`
`double`
`getValueAsDouble(AutoScale sc)`

### Methods inherited from class org.eclipse.birt.chart.computation.Methods

`asDateTime, asDouble, asInteger, computeBox, computeBox, computeBox, computeBox, computeFontHeight, computeHeight, computeHeight, computeLabelSize, computePolygon, computePolygon, computePolygon, computeRotatedTopPoint, computeWidth, computeWidth, getLabelPosition, getLocation, getLocation, getLocation, getNormalizedLocation, getNormalizedLocation`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MAX_VALUE

public static final IntersectionValue MAX_VALUE

### MIN_VALUE

public static final IntersectionValue MIN_VALUE

## Constructor Details

### IntersectionValue

public IntersectionValue(int _iType, double _dValue)

Parameters:
  `_iType` -
  `_dValue` -

### IntersectionValue

public IntersectionValue(int _iType, Object _oValue)

Parameters:
  `_iType` -
  `_oValue` -

## Method Details

### getType

public int getType()

Returns:

### getValue

public Object getValue()

Returns:

### getValueAsDouble

public double getValueAsDouble()

Returns:

### getValueAsDouble

public double getValueAsDouble(AutoScale sc)

Parameters:
  `sc` -
Returns: